Skip to main content
GET
/
api
/
v1
/
organization
/
roles
/
slug
/
{roleSlug}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/organization/roles/slug/{roleSlug} \
  --header 'Authorization: Bearer <token>'
{
  "role": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "permissions": [
      {
        "action": "<string>",
        "subject": "<string>",
        "conditions": "<unknown>",
        "inverted": true
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

roleSlug
string
required

The slug of the role to get details.

Response

Default Response

role
object
required